# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
AS = @AS@
AUTODEP_PAR = @AUTODEP_PAR@
CC = @CC@
CXX = @CXX@
DLLTOOL = @DLLTOOL@
LD = @LD@
LEX = @LEX@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
MAKEDEPEND = @MAKEDEPEND@
MAKEINFO = @MAKEINFO@
MKDEP_XTRAINC = @MKDEP_XTRAINC@
MOTIF_CFLAGS = @MOTIF_CFLAGS@
MOTIF_LIBS = @MOTIF_LIBS@
NM = @NM@
OBJDUMP = @OBJDUMP@
OPENGL_LIBS = @OPENGL_LIBS@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
VERSION = @VERSION@
VRML_INC = @VRML_INC@
VRML_LIB = @VRML_LIB@
YACC = @YACC@
ifGNUmake = @ifGNUmake@
include_motif = @include_motif@
link_motif = @link_motif@

AUTOMAKE_OPTIONS = no-dependencies

noinst_LTLIBRARIES = libvrmlphb.la
libvrmlphb_la_SOURCES =  	AppearanceBase.C 	AppearanceBaseP.C 	PhB3DTexture.C 	PhB3DTextureP.C 	PhB3DTextureTransform.C 	PhB3DTextureTransformP.C 	PhB3DTexturedSurface.C 	PhB3DTexturedSurfaceP.C 	PhBAppearance.C 	PhBAppearanceP.C 	PhBAtmosphere.C 	PhBAtmosphereP.C 	PhBBackground.C 	PhBBackgroundP.C 	PhBBlackBodySpectrum.C 	PhBBlackBodySpectrumP.C 	PhBDiffuseEmitter.C 	PhBDiffuseEmitterP.C 	PhBDiffuseReflector.C 	PhBDiffuseReflectorP.C 	PhBDiffuseRefractor.C 	PhBDiffuseRefractorP.C 	PhBDistortion.C 	PhBDistortionP.C 	PhBEDF.C 	PhBEDFP.C 	PhBEmitter.C 	PhBEmitterP.C 	PhBHomogeneousMedium.C 	PhBHomogeneousMediumP.C 	PhBHomogeneousSurface.C 	PhBHomogeneousSurfaceP.C 	PhBInterpolatedMedium.C 	PhBInterpolatedMediumP.C 	PhBInterpolatedSpectrum.C 	PhBInterpolatedSpectrumP.C 	PhBInterpolatedSurface.C 	PhBInterpolatedSurfaceP.C 	PhBIsotropicPhaseFunction.C 	PhBIsotropicPhaseFunctionP.C 	PhBLayeredSurface.C 	PhBLayeredSurfaceP.C 	PhBLxySpectrum.C 	PhBLxySpectrumP.C 	PhBMedium.C 	PhBMediumP.C 	PhBMixedSpectrum.C 	PhBMixedSpectrumP.C 	PhBMonochromaticSpectrum.C 	PhBMonochromaticSpectrumP.C 	PhBPerfectSpecularReflector.C 	PhBPerfectSpecularReflectorP.C 	PhBPerfectSpecularRefractor.C 	PhBPerfectSpecularRefractorP.C 	PhBPhF.C 	PhBPhFP.C 	PhBPhaseFunction.C 	PhBPhaseFunctionP.C 	PhBPhongEmitter.C 	PhBPhongEmitterP.C 	PhBPhongReflector.C 	PhBPhongReflectorP.C 	PhBPhongRefractor.C 	PhBPhongRefractorP.C 	PhBProcedural3DTexture.C 	PhBProcedural3DTextureP.C 	PhBProceduralBackground.C 	PhBProceduralBackgroundP.C 	PhBProceduralEmitter.C 	PhBProceduralEmitterP.C 	PhBProceduralPhaseFunction.C 	PhBProceduralPhaseFunctionP.C 	PhBProceduralScatterer.C 	PhBProceduralScattererP.C 	PhBProceduralSpectrum.C 	PhBProceduralSpectrumP.C 	PhBProceduralTexture.C 	PhBProceduralTextureP.C 	PhBProceduralTextureProjection.C 	PhBProceduralTextureProjectionP.C 	PhBSDF.C 	PhBSDFP.C 	PhBSampledIsotropicEmitter.C 	PhBSampledIsotropicEmitterP.C 	PhBSampledSpectrum.C 	PhBSampledSpectrumP.C 	PhBScatterer.C 	PhBScattererP.C 	PhBSpectrum.C 	PhBSpectrumP.C 	PhBSurface.C 	PhBSurfaceP.C 	PhBSurfaceDistortion.C 	PhBSurfaceDistortionP.C 	PhBTabulatedSpectrum.C 	PhBTabulatedSpectrumP.C 	PhBTexture.C 	PhBTextureP.C 	PhBTextureEmitter.C 	PhBTextureEmitterP.C 	PhBTextureProjection.C 	PhBTextureProjectionP.C 	PhBTexturedBackground.C 	PhBTexturedBackgroundP.C 	PhBTexturedMedium.C 	PhBTexturedMediumP.C 	PhBTexturedSurface.C 	PhBTexturedSurfaceP.C 	PhBVolumeDistortion.C 	PhBVolumeDistortionP.C 	PhBXYZSpectrum.C 	PhBXYZSpectrumP.C

DEPSOURCES = $(libvrmlphb_la_SOURCES)
INCLUDES =  	-I$(top_srcdir)/VRML 	-I$(top_srcdir)/VRML/NODES

vrmlheaderdir = $(includedir)/VRML
vrmlheader_HEADERS =  	AppearanceBase.H 	PhB3DTexture.H 	PhB3DTextureTransform.H 	PhB3DTexturedSurface.H 	PhBAppearance.H 	PhBAtmosphere.H 	PhBBackground.H 	PhBBlackBodySpectrum.H 	PhBDiffuseEmitter.H 	PhBDiffuseReflector.H 	PhBDiffuseRefractor.H 	PhBDistortion.H 	PhBEDF.H 	PhBEmitter.H 	PhBHomogeneousMedium.H 	PhBHomogeneousSurface.H 	PhBInterpolatedMedium.H 	PhBInterpolatedSpectrum.H 	PhBInterpolatedSurface.H 	PhBIsotropicPhaseFunction.H 	PhBLayeredSurface.H 	PhBLxySpectrum.H 	PhBMedium.H 	PhBMixedSpectrum.H 	PhBMonochromaticSpectrum.H 	PhBPerfectSpecularReflector.H 	PhBPerfectSpecularRefractor.H 	PhBPhF.H 	PhBPhaseFunction.H 	PhBPhongEmitter.H 	PhBPhongReflector.H 	PhBPhongRefractor.H 	PhBProcedural3DTexture.H 	PhBProceduralBackground.H 	PhBProceduralEmitter.H 	PhBProceduralPhaseFunction.H 	PhBProceduralScatterer.H 	PhBProceduralSpectrum.H 	PhBProceduralTexture.H 	PhBProceduralTextureProjection.H 	PhBSDF.H 	PhBSampledIsotropicEmitter.H 	PhBSampledSpectrum.H 	PhBScatterer.H 	PhBSpectrum.H 	PhBSurface.H 	PhBSurfaceDistortion.H 	PhBTabulatedSpectrum.H 	PhBTexture.H 	PhBTextureEmitter.H 	PhBTextureProjection.H 	PhBTexturedBackground.H 	PhBTexturedMedium.H 	PhBTexturedSurface.H 	PhBVolumeDistortion.H 	PhBXYZSpectrum.H

EXTRA_DIST =  	.cghead 	0README 	Makefile.save

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
LTLIBRARIES =  $(noinst_LTLIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
X_CFLAGS = @X_CFLAGS@
X_LIBS = @X_LIBS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
libvrmlphb_la_LDFLAGS = 
libvrmlphb_la_LIBADD = 
libvrmlphb_la_OBJECTS =  AppearanceBase.lo AppearanceBaseP.lo \
PhB3DTexture.lo PhB3DTextureP.lo PhB3DTextureTransform.lo \
PhB3DTextureTransformP.lo PhB3DTexturedSurface.lo \
PhB3DTexturedSurfaceP.lo PhBAppearance.lo PhBAppearanceP.lo \
PhBAtmosphere.lo PhBAtmosphereP.lo PhBBackground.lo PhBBackgroundP.lo \
PhBBlackBodySpectrum.lo PhBBlackBodySpectrumP.lo PhBDiffuseEmitter.lo \
PhBDiffuseEmitterP.lo PhBDiffuseReflector.lo PhBDiffuseReflectorP.lo \
PhBDiffuseRefractor.lo PhBDiffuseRefractorP.lo PhBDistortion.lo \
PhBDistortionP.lo PhBEDF.lo PhBEDFP.lo PhBEmitter.lo PhBEmitterP.lo \
PhBHomogeneousMedium.lo PhBHomogeneousMediumP.lo \
PhBHomogeneousSurface.lo PhBHomogeneousSurfaceP.lo \
PhBInterpolatedMedium.lo PhBInterpolatedMediumP.lo \
PhBInterpolatedSpectrum.lo PhBInterpolatedSpectrumP.lo \
PhBInterpolatedSurface.lo PhBInterpolatedSurfaceP.lo \
PhBIsotropicPhaseFunction.lo PhBIsotropicPhaseFunctionP.lo \
PhBLayeredSurface.lo PhBLayeredSurfaceP.lo PhBLxySpectrum.lo \
PhBLxySpectrumP.lo PhBMedium.lo PhBMediumP.lo PhBMixedSpectrum.lo \
PhBMixedSpectrumP.lo PhBMonochromaticSpectrum.lo \
PhBMonochromaticSpectrumP.lo PhBPerfectSpecularReflector.lo \
PhBPerfectSpecularReflectorP.lo PhBPerfectSpecularRefractor.lo \
PhBPerfectSpecularRefractorP.lo PhBPhF.lo PhBPhFP.lo \
PhBPhaseFunction.lo PhBPhaseFunctionP.lo PhBPhongEmitter.lo \
PhBPhongEmitterP.lo PhBPhongReflector.lo PhBPhongReflectorP.lo \
PhBPhongRefractor.lo PhBPhongRefractorP.lo PhBProcedural3DTexture.lo \
PhBProcedural3DTextureP.lo PhBProceduralBackground.lo \
PhBProceduralBackgroundP.lo PhBProceduralEmitter.lo \
PhBProceduralEmitterP.lo PhBProceduralPhaseFunction.lo \
PhBProceduralPhaseFunctionP.lo PhBProceduralScatterer.lo \
PhBProceduralScattererP.lo PhBProceduralSpectrum.lo \
PhBProceduralSpectrumP.lo PhBProceduralTexture.lo \
PhBProceduralTextureP.lo PhBProceduralTextureProjection.lo \
PhBProceduralTextureProjectionP.lo PhBSDF.lo PhBSDFP.lo \
PhBSampledIsotropicEmitter.lo PhBSampledIsotropicEmitterP.lo \
PhBSampledSpectrum.lo PhBSampledSpectrumP.lo PhBScatterer.lo \
PhBScattererP.lo PhBSpectrum.lo PhBSpectrumP.lo PhBSurface.lo \
PhBSurfaceP.lo PhBSurfaceDistortion.lo PhBSurfaceDistortionP.lo \
PhBTabulatedSpectrum.lo PhBTabulatedSpectrumP.lo PhBTexture.lo \
PhBTextureP.lo PhBTextureEmitter.lo PhBTextureEmitterP.lo \
PhBTextureProjection.lo PhBTextureProjectionP.lo \
PhBTexturedBackground.lo PhBTexturedBackgroundP.lo PhBTexturedMedium.lo \
PhBTexturedMediumP.lo PhBTexturedSurface.lo PhBTexturedSurfaceP.lo \
PhBVolumeDistortion.lo PhBVolumeDistortionP.lo PhBXYZSpectrum.lo \
PhBXYZSpectrumP.lo
CXXFLAGS = @CXXFLAGS@
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
HEADERS =  $(vrmlheader_HEADERS)

DIST_COMMON =  ChangeLog Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
SOURCES = $(libvrmlphb_la_SOURCES)
OBJECTS = $(libvrmlphb_la_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .C .S .c .lo .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/make.rules
	cd $(top_srcdir) && $(AUTOMAKE) --gnu VRML/PhBRML/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstLTLIBRARIES:

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)

distclean-noinstLTLIBRARIES:

maintainer-clean-noinstLTLIBRARIES:

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libvrmlphb.la: $(libvrmlphb_la_OBJECTS) $(libvrmlphb_la_DEPENDENCIES)
	$(CXXLINK)  $(libvrmlphb_la_LDFLAGS) $(libvrmlphb_la_OBJECTS) $(libvrmlphb_la_LIBADD) $(LIBS)
.C.o:
	$(CXXCOMPILE) -c $<
.C.lo:
	$(LTCXXCOMPILE) -c $<

install-vrmlheaderHEADERS: $(vrmlheader_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(vrmlheaderdir)
	@list='$(vrmlheader_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d= ; else d="$(srcdir)/"; fi; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(vrmlheaderdir)/$$p"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(vrmlheaderdir)/$$p; \
	done

uninstall-vrmlheaderHEADERS:
	@$(NORMAL_UNINSTALL)
	list='$(vrmlheader_HEADERS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(vrmlheaderdir)/$$p; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = VRML/PhBRML

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am: install-vrmlheaderHEADERS
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-vrmlheaderHEADERS
uninstall: uninstall-am
all-am: Makefile $(LTLIBRARIES) $(HEADERS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(vrmlheaderdir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-noinstLTLIBRARIES mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-noinstLTLIBRARIES clean-compile clean-libtool \
		clean-tags clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-noinstLTLIBRARIES distclean-compile \
		distclean-libtool distclean-tags distclean-generic \
		clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-noinstLTLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-noinstLTLIBRARIES distclean-noinstLTLIBRARIES \
clean-noinstLTLIBRARIES maintainer-clean-noinstLTLIBRARIES \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-libtool distclean-libtool \
clean-libtool maintainer-clean-libtool uninstall-vrmlheaderHEADERS \
install-vrmlheaderHEADERS tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir info-am info dvi-am dvi check \
check-am installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


depend-recursive:
	@list='$(SUBDIRS)'; for subdir in $$list; do \
	test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) depend); \
	done
depend: depend-recursive
	@if test "x$(DEPSOURCES)" != "x" ; then \
	incl="$(INCLUDES) @MKDEP_XTRAINC@" ; \
	cmdl="-- $(CFLAGS) $(CXXFLAGS) -- $(DEFS) $$incl $(DEPSOURCES)"; \
	nmdl=`echo $$cmdl | sed 's/[ ]\+/ /g'`; \
	echo "@MAKEDEPEND@ $$nmdl"; \
	@MAKEDEPEND@ $$nmdl ; \
	fi

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
